Initiate a transcription
Initiate a pre-recorded transcription job. Use the returned id and the GET /v2/pre-recorded/:id endpoint to obtain the results.
Documentation Index
Fetch the complete documentation index at: https://docs.gladia.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Your personal Gladia API key
Body
URL to a Gladia file or to an external audio or video file
"http://files.gladia.io/example/audio-transcription/split_infinity.wav"
[Beta] Can be either boolean to enable custom_vocabulary for this audio or an array with specific vocabulary list to feed the transcription model with
[Beta] Custom vocabulary configuration, if custom_vocabulary is enabled
[Deprecated] Use callback/callback_config instead. Callback URL we will do a POST request to with the result of the transcription
"http://callback.example"
Enable callback for this transcription. If true, the callback_config property will be used to customize the callback behaviour
Customize the callback behaviour (url and http method)
Enable subtitles generation for this transcription
Configuration for subtitles generation if subtitles is enabled
Enable speaker recognition (diarization) for this audio
Speaker recognition configuration, if diarization is enabled
[Beta] Enable translation for this audio
[Beta] Translation configuration, if translation is enabled
Enable summarization for this audio
Summarization configuration, if summarization is enabled
[Alpha] Enable named entity recognition for this audio
[Alpha] Enable custom spelling for this audio
[Alpha] Custom spelling configuration, if custom_spelling is enabled
Enable sentiment analysis for this audio
Enable audio to LLM processing for this audio
Audio to LLM configuration, if audio_to_llm is enabled
Enable PII redaction for this audio
PII redaction configuration, if pii_redaction is enabled
Custom metadata you can attach to this transcription
{ "user": "John Doe" }Enable sentences for this audio
[Alpha] Use enhanced punctuation for this audio
Specify the language configuration
Response
The pre recorded job has been initiated